pacparser_just_find_proxy(3)

NAME
pacparser_just_find_proxy - Finds proxy for a given PAC file, url and host.

SYNOPSIS
#include <pacparser.h>

char *pacparser_just_find_proxy
(
    const char *pacfile,
    const char *url,
    const char *host
);

PARAMETERS

const char *pacfile
    PAC file.

const char *url
    URL to find proxy for.

const char *host
    Host part of the URL.

DESCRIPTION
This function is a wrapper around functions pacparser_init, pacparser_parse_pac_file, pacparser_find_proxy and pacparser_cleanup. If you just want to find out proxy a given set of pac file, url and host, this is the function to call. This function takes care of all the initialization and cleanup.

RETURNS
Proxy string on success and NULL on error.

SEE ALSO
pacparser_version(3), pacparser_init(3), pacparser_parse_pac_file(3), pacparser_parse_pac_string(3), pacparser_parse_pac(3), pacparser_find_proxy(3), pacparser_cleanup(3), pacparser_setmyip(3), pacparser_enable_microsoft_extensions(3)